### Method

# Ide Buffer get_diagnostics

#### Declaration

    IdeDiagnostics*
    ide_buffer_get_diagnostics (
      IdeBuffer* self
    )

#### Description

Gets the `IdeDiagnostics` for the buffer if any have been registered.

Available since: | 3.32

Gets property | `Ide.Buffer:diagnostics`

#### Return value

Returns: | `IdeDiagnostics`
| An `IdeDiagnostics` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.